29.1.5 Upgrading Virtualization Packages

Virtualization packages are updated by using the standard yum update command. Note that if you want to change the versions of the virtualization packages to match the versions that are shipped in a particular yum repository or ULN channel, you might need to specify the channel or repository from or to which you are installing packages. For example, you would update to the latest supported virtualization packages that are available in the ol7_kvm_utils repository as follows:

# yum --disablerepo="*" --enablerepo="ol7_kvm_utils" update

If you want to downgrade packages to a version in an alternate repository or channel, for example, to downgrade from the virtualization packages in the ol7_kvm_utils repository to the version of the same packages in the ol7_latest repository, you must first remove the existing packages before installing the packages from the alternate repository:

# yum remove libvirt* qemu*
# yum --disablerepo="*" --enablerepo="ol7_latest" install libvirt qemu-kvm